@ECHO OFF
PushD "%~dp0"

IF %PROCESSOR_ARCHITECTURE% == AMD64 GOTO x64

REM **************************************
REM x86-Registrierung (32-Bit-Platform)
REM ***********************************

REM dll-Registrierung
"%systemroot%\System32\regsvr32" /s CreateLabels.dll
"%systemroot%\System32\regsvr32" /s UpdateLabels.dll

REM Command registrieren
REG ADD "HKLM\Software\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v RibbonCmd /t REG_SZ /d 1 /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v RibbonCmd /t REG_SZ /d 1 /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v RibbonCmd /t REG_SZ /d 1 /f >NUL

EXIT


:x64
REM x64-Registrierung (64-Bit-Platform)
REM ***********************************

REM dll-Registrierung
"%systemroot%\SysWow64\regsvr32" /s CreateLabels.dll
"%systemroot%\SysWOW64\regsvr32" /s UpdateLabels.dll

REM Commands registrieren
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v RibbonCmd /t REG_SZ /d 1 /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v RibbonCmd /t REG_SZ /d 1 /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_SemidynamicLabels" /v RibbonCmd /t REG_SZ /d 1 /f >NUL